This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### ceil()
Examples |
    float x = 8.22;
    int a = ceil(x);  // Sets 'a' to 9
Description | Calculates the closest int value that is greater than or equal to the value of the parameter. For example, ceil(9.03) returns the value 10.
Syntax |
    ceil(n)
Parameters |
n | float: number to round up
Returns | int
Related | floor() round()

Updated on October 26, 2013 08:58:30pm PDT